﻿.show-movie {
    min-height: 100vh;

    img {
        z-index: 0;
        max-width: 90%;
        max-height: 120vh;
        display: block;
        margin: 20px auto;
        color: transparent;
        box-shadow: 0 0 5px rgba(20,20,20,0.7);
    }

    .movie-info {
        z-index: 1;
        background-color: rgba(20, 20, 20, 0.75);
        color: whitesmoke;
        padding: 20px;
        
        box-shadow: 3px 0 3px rgba(20, 20, 20, 0.6);
        
        margin: 20px 0;

        h1 {
            font-size: 1.7rem;
            margin-bottom: 50px;
        }

        h2 {
            font-size: 2.5rem;
        }

        hr {
            border-color: whitesmoke;
            border-width: 2px;
        }

        p {
            margin-bottom: 10px;

            span {
                font-weight: bold;
            }
        }
    }
}

.error-show-movie {
    padding: 30px;
    h1 {
        font-size: 1.7rem;
        margin-bottom: 20px;
    }
}

.movie-links {
    padding: 20px;
}

@media screen and (min-width: 1000px) {
    .show-movie {
        .movie-info {
            position: absolute;
            top: 5%;
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
            max-width: 70%;
        }
    }
}